Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
04844 Crash/Freeze Critical (emulation) Always May 18, 2012, 20:35 Feb 7, 2013, 06:43
Tester haynor666 View Status Public Platform MAME (Self-compiled)
Assigned To Resolution Fixed OS Windows Vista/7 (64-bit)
Status [?] Resolved Driver jaguar.cpp
Version 0.145u8 Fixed in Version 0.148u1 Build 64-bit
Summary 04844: fishfren: black screen after EEPROM initialize
Description black screen after EEPROM initialize
Steps To Reproduce
Additional Information original regressed 0.144u6, fixed 146u4 by micko
Flags
Regression Version 0.148
Affected Sets / Systems fishfren
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
5
User avatar
No.08802
hap
Developer
Jul 14, 2012, 21:17
regressed at r15009
User avatar
No.09238
haynor666
Tester
Jan 16, 2013, 14:19
Still black screen in 148 :/
User avatar
No.09245
Tafoid
Administrator
Jan 18, 2013, 00:14
Yup, one added patch to idectrl.c causes the issues. (r20145)
Question is what benefit does it have or can it be worked around?
User avatar
No.09246
M.A.S.H.
Senior Tester
Jan 18, 2013, 07:15
In r15009: Added support for 2 drives on IDE controller (emu/machine/idectrl.c) [Miodrag Milanovic]
In r16837: Fix for MT bug #04844, no need to clear status if drive not connected [Miodrag Milanovic]

Removed in function ide_controller_device::ide_controller_read(...)
- else
- {
- ide->status = 0;
- }


In r20145: Fix phantom slave drive detection problem (emu/machine/idectrl.c) [Peter Ferrie]

Added in function ide_controller_device::ide_controller_read(...)
+ else
+ {
+ return 0;
+ }



What about this?

else
{
status |= IDE_STATUS_ERROR;
}

If there is no drive connected i set the status flag to error. This works!
User avatar
No.09310
Tafoid
Administrator
Feb 7, 2013, 06:43
Fixed r20782 - Peter Ferrie